> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Merchants

> Get a list of all merchants and their fields



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/merchant/list
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/merchant/list:
    get:
      tags:
        - Merchant management
      summary: List Merchants
      description: Get a list of all merchants and their fields
      operationId: listMerchants
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    start_date:
                      type: string
                      description: >-
                        required_with:filters.end_date The start date for
                        filtering customers in `Y-m-d H:i:s` format. Must be
                        before or equal to filters.end_date.
                      example: '2024-01-01 00:00:00'
                    end_date:
                      type: string
                      description: >-
                        required_with:filters.start_date The end date for
                        filtering customers in `Y-m-d H:i:s` format. Must be
                        after or equal to filters.start_date.
                      example: '2024-12-31 23:59:59'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - name: Dime Payments
                      dba: ''
                      notes: ''
                      sid: '00001'
                      ein: ''
                      mcc: '8999'
                      slug: pay
                      pub_api_key: pkapi_prod_B5n2hQhy6uAp1rLjqs
                      processor_mid: '650000012366624'
                      active: true
                      active_at: null
                      pending_cancellation: null
                      approved_cancellation: null
                      approved_cancellation_by: null
                      g_pay: false
                      a_pay: false
                      pci_compliance: true
                      api_access: '2025-05-20T12:43:00.000000Z'
                      api_enabled_by_id: 1
                      website: https://dimepayments.com
                      addr1: 53 S. Main St
                      addr2: ''
                      addr3: ''
                      city: Alpharetta
                      state: GA
                      zip: '30009'
                      phone: '4049064975'
                      primary_phone: '4049064975'
                      primary_email: ben@dimepayments.com
                      primary_name: Ben Habeck
                    - name: Dime Payments
                      dba: ''
                      notes: ''
                      sid: '00001'
                      ein: ''
                      mcc: '8999'
                      slug: pay
                      pub_api_key: pkapi_prod_B5n2hQhy6uAp1rLjqs
                      processor_mid: '650000012366624'
                      active: true
                      active_at: null
                      pending_cancellation: null
                      approved_cancellation: null
                      approved_cancellation_by: null
                      g_pay: false
                      a_pay: false
                      pci_compliance: true
                      api_access: '2025-05-20T12:43:00.000000Z'
                      api_enabled_by_id: 1
                      website: https://dimepayments.com
                      addr1: 53 S. Main St
                      addr2: ''
                      addr3: ''
                      city: Alpharetta
                      state: GA
                      zip: '30009'
                      phone: '4049064975'
                      primary_phone: '4049064975'
                      primary_email: ben@dimepayments.com
                      primary_name: Ben Habeck
                properties:
                  data:
                    type: array
                    example:
                      - name: Dime Payments
                        dba: ''
                        notes: ''
                        sid: '00001'
                        ein: ''
                        mcc: '8999'
                        slug: pay
                        pub_api_key: pkapi_prod_B5n2hQhy6uAp1rLjqs
                        processor_mid: '650000012366624'
                        active: true
                        active_at: null
                        pending_cancellation: null
                        approved_cancellation: null
                        approved_cancellation_by: null
                        g_pay: false
                        a_pay: false
                        pci_compliance: true
                        api_access: '2025-05-20T12:43:00.000000Z'
                        api_enabled_by_id: 1
                        website: https://dimepayments.com
                        addr1: 53 S. Main St
                        addr2: ''
                        addr3: ''
                        city: Alpharetta
                        state: GA
                        zip: '30009'
                        phone: '4049064975'
                        primary_phone: '4049064975'
                        primary_email: ben@dimepayments.com
                        primary_name: Ben Habeck
                      - name: Dime Payments
                        dba: ''
                        notes: ''
                        sid: '00001'
                        ein: ''
                        mcc: '8999'
                        slug: pay
                        pub_api_key: pkapi_prod_B5n2hQhy6uAp1rLjqs
                        processor_mid: '650000012366624'
                        active: true
                        active_at: null
                        pending_cancellation: null
                        approved_cancellation: null
                        approved_cancellation_by: null
                        g_pay: false
                        a_pay: false
                        pci_compliance: true
                        api_access: '2025-05-20T12:43:00.000000Z'
                        api_enabled_by_id: 1
                        website: https://dimepayments.com
                        addr1: 53 S. Main St
                        addr2: ''
                        addr3: ''
                        city: Alpharetta
                        state: GA
                        zip: '30009'
                        phone: '4049064975'
                        primary_phone: '4049064975'
                        primary_email: ben@dimepayments.com
                        primary_name: Ben Habeck
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Dime Payments
                          description: The name of the merchant.
                        dba:
                          type: string
                          example: ''
                        notes:
                          type: string
                          example: ''
                        sid:
                          type: string
                          example: '00001'
                          description: The unique Dime Payments ID for the merchant.
                        ein:
                          type: string
                          example: ''
                        mcc:
                          type: string
                          example: '8999'
                          description: The MCC Code assigned to the merchant.
                        slug:
                          type: string
                          example: pay
                          description: >-
                            The unique address for the merchant's pay page. i.e.
                            https://dimepayments.com/{slug}.
                        pub_api_key:
                          type: string
                          example: pkapi_prod_B5n2hQhy6uAp1rLjqs
                          description: The public API key for the gateway's tokenizer.
                        processor_mid:
                          type: string
                          example: '650000012366624'
                        active:
                          type: boolean
                          example: true
                          description: If this merchant is active on Dime Payments.
                        active_at:
                          type: string
                          example: null
                          description: date The date the merchant was made active.
                        pending_cancellation:
                          type: string
                          example: null
                          nullable: true
                        approved_cancellation:
                          type: string
                          example: null
                          nullable: true
                        approved_cancellation_by:
                          type: string
                          example: null
                          nullable: true
                        g_pay:
                          type: boolean
                          example: false
                          description: If this merchant is active on Google Pay.
                        a_pay:
                          type: boolean
                          example: false
                          description: If this merchant is active on Apple Pay.
                        pci_compliance:
                          type: boolean
                          example: true
                          description: >-
                            If this merchant has an active AoC on file with Dime
                            Payments.
                        api_access:
                          type: string
                          example: '2025-05-20T12:43:00.000000Z'
                        api_enabled_by_id:
                          type: integer
                          example: 1
                        website:
                          type: string
                          example: https://dimepayments.com
                          description: The merchant's website.
                        addr1:
                          type: string
                          example: 53 S. Main St
                          description: The merchant's first address line.
                        addr2:
                          type: string
                          example: ''
                          description: The merchant's second address line (optional).
                        addr3:
                          type: string
                          example: ''
                        city:
                          type: string
                          example: Alpharetta
                          description: The merchant's city.
                        state:
                          type: string
                          example: GA
                          description: The merchant's state.
                        zip:
                          type: string
                          example: '30009'
                          description: The merchant's zip code.
                        phone:
                          type: string
                          example: '4049064975'
                          description: The merchant's phone number.
                        primary_phone:
                          type: string
                          example: '4049064975'
                          description: The merchant's primary contact phone number.
                        primary_email:
                          type: string
                          example: ben@dimepayments.com
                          description: The merchant's primary email address.
                        primary_name:
                          type: string
                          example: Ben Habeck
                          description: The merchant's primary full name.
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    filters.start_date:
                      - The filters.start_date field must be a valid date.
                properties:
                  errors:
                    type: object
                    properties:
                      filters.start_date:
                        type: array
                        example:
                          - The filters.start_date field must be a valid date.
                        items:
                          type: string
        '401':
          description: Bad API Key Permission
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Permission Denied.
                properties:
                  message:
                    type: string
                    example: Permission Denied.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````